Public Attributes | List of all members
i2c_env_t Struct Reference
Peripheral Driver » APP DRIVER » IIC

I2C device structure definition. More...

`#include <app_i2c.h>`

Collaboration diagram for i2c_env_t:
[legend]

## Public Attributes
app_i2c_evt_handler_t | evt_handler
| I2C event callback definition. More...
i2c_handle_t | handle
| I2C handle definition. More...
app_i2c_role_t | role
| I2C role Enumerations definition. More...
app_i2c_pin_cfg_t * | p_pin_cfg
| I2C pins config Structures. More...
dma_id_t | dma_id [2]
| DMA id definition. More...
app_i2c_state_t | i2c_state
| I2C state types. More...
app_i2c_dma_state_t | i2c_dma_state
| I2C dma state types. More...
volatile bool | start_flag
| Start flag definition. More...
uint16_t | slv_dev_addr
| I2C Slave address. More...

## Detailed Description

I2C device structure definition.

Definition at line 190 of file app_i2c.h.

## Member Data Documentation

## ◆ dma_id

dma_id_t i2c_env_t::dma_id[2]

DMA id definition.

Definition at line 196 of file app_i2c.h.

## ◆ evt_handler

app_i2c_evt_handler_t i2c_env_t::evt_handler

I2C event callback definition.

Definition at line 192 of file app_i2c.h.

## ◆ handle

i2c_handle_t i2c_env_t::handle

I2C handle definition.

Definition at line 193 of file app_i2c.h.

## ◆ i2c_dma_state

app_i2c_dma_state_t i2c_env_t::i2c_dma_state

I2C dma state types.

Definition at line 198 of file app_i2c.h.

## ◆ i2c_state

app_i2c_state_t i2c_env_t::i2c_state

I2C state types.

Definition at line 197 of file app_i2c.h.

## ◆ p_pin_cfg

app_i2c_pin_cfg_t* i2c_env_t::p_pin_cfg

I2C pins config Structures.

Definition at line 195 of file app_i2c.h.

## ◆ role

app_i2c_role_t i2c_env_t::role

I2C role Enumerations definition.

Definition at line 194 of file app_i2c.h.

## ◆ slv_dev_addr

uint16_t i2c_env_t::slv_dev_addr

I2C Slave address.

Definition at line 200 of file app_i2c.h.

## ◆ start_flag

volatile bool i2c_env_t::start_flag

Start flag definition.

Definition at line 199 of file app_i2c.h.

The documentation for this struct was generated from the following file:

- app_i2c.h